# drop=true attribute

#### Function

Removes the in-memory database specified within the database connection URL. Generates the SQLException 08006 if successful. If the database does not exist, generates an error reporting that the database could not be found.

For a database for which authentication and SQL authorization are both enabled, only the database owner can drop that database.

It is not necessary to shut down the database before dropping it.

If you specify this attribute with a database that is not an in-memory database, Derby generates the SQLException XBM0I.

#### Combining with other attributes

This attribute, like shutdown=true, cannot be combined with other attributes.

#### Examples

    -- drop an in-memory database using the embedded driver
    jdbc:derby:memory:myInMemDB;drop=true
    -- drop an in-memory database using the Network Server
    jdbc:derby://localhost:1527/memory:myInMemDB;drop=true

Parent topic: Setting attributes for the database connection URL